#version 330 core

uniform mat4 ModelViewProjectionMatrix;
uniform float size;

layout (location = 0) in vec4 POSITION;

void main()
{
	//vec4 pos = vec4(POSITION.x*0.0001, 0.0, POSITION.y*0.0001, 1.0);
	vec4 pos = vec4(0.0, 0.0, 1.0, 1.0);

	gl_PointSize = size;
	gl_Position = ModelViewProjectionMatrix * pos;
}
